Actualizar Empresa
curl --request PUT \
--url https://api.zynvo.uy/v1/enterprises/{rut} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Sandbox-Mode: <x-sandbox-mode>' \
--data '
{
"scheduled_ready_date": "2026-06-01T00:00:00",
"plan_id": "5",
"frequency_id": "price_monthly_001"
}
'import requests
url = "https://api.zynvo.uy/v1/enterprises/{rut}"
payload = {
"scheduled_ready_date": "2026-06-01T00:00:00",
"plan_id": "5",
"frequency_id": "price_monthly_001"
}
headers = {
"X-Sandbox-Mode": "<x-sandbox-mode>",
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Sandbox-Mode': '<x-sandbox-mode>',
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
scheduled_ready_date: '2026-06-01T00:00:00',
plan_id: '5',
frequency_id: 'price_monthly_001'
})
};
fetch('https://api.zynvo.uy/v1/enterprises/{rut}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rut": "<string>",
"legal_name": "<string>",
"status": "<string>",
"scheduled_ready_date": "<string>",
"plan_metadata": {
"plan_id": "<string>",
"frequency_id": "<string>"
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Los datos proporcionados no son válidos"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "No se encontró el recurso solicitado"
}
}Empresas
Actualizar Empresa
Actualiza la fecha de inicio de operaciones y el plan de suscripción de una empresa
PUT
/
enterprises
/
{rut}
Actualizar Empresa
Authorizations
API Key de Zynvo obtenida desde el dashboard. Requerida en todos los endpoints.
Token JWT obtenido del endpoint /tokens. Se debe enviar en el header Authorization como "Bearer {token}"
Headers
Define el entorno de ejecución de la API.
Valores:
"true"- Modo sandbox: Usa datos de prueba aislados"false"- Modo producción: Usa datos reales
Available options:
true, false Path Parameters
RUT de la empresa (sin puntos ni guiones)
Body
application/json
Response
Empresa actualizada exitosamente
Show child attributes
Show child attributes
⌘I